techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Items
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
      GET
    • Item Details
      GET
    • List Item Categories
      GET
    • Item Category Details
      GET
    • List Modifier Categories
      GET
    • Item Config Details
      GET
    • List Bundle Categories
      GET
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Items

Item Details

GET
https://api.techrar.com/inventory/v1/items/{item_id}/
This endpoint allows you to return the details for a specific item by passing the item_id as a path parameter.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/inventory/v1/items//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 121,
    "custom_fields": null,
    "images": [
        {
            "ordering": 0,
            "lang": "en",
            "full_size": "/media/uploads/items/full_size/2025/07/24/edd149b7-561a-4c21-afd7-61c35f492ff7.jpeg",
            "thumbnail": "/media/uploads/items/thumbnail/2025/07/24/eea59d3d-95ca-4491-bf97-bb5f969dd2c1.jpeg",
            "large": null,
            "medium": null,
            "small": null
        },
        {
            "ordering": 0,
            "lang": "ar",
            "full_size": "/media/uploads/items/full_size/2025/07/24/c63c21b4-1766-4127-a0a6-4225f412a8b1.jpeg",
            "thumbnail": "/media/uploads/items/thumbnail/2025/07/24/439277ec-32e7-489a-8bf6-eb5197ca34e1.jpeg",
            "large": null,
            "medium": null,
            "small": null
        },
        {
            "ordering": 1,
            "lang": "en",
            "full_size": "/media/uploads/items/full_size/2025/07/24/8fed677e-bb2b-4d64-b934-0a28c98cd25b.png",
            "thumbnail": "/media/uploads/items/thumbnail/2025/07/24/b92b10da-ab0d-4a37-9035-483dea567769.png",
            "large": null,
            "medium": null,
            "small": null
        },
        {
            "ordering": 1,
            "lang": "ar",
            "full_size": "/media/uploads/items/full_size/2025/07/24/77dece4b-160a-444e-a6b2-95d8e57ddfe3.png",
            "thumbnail": "/media/uploads/items/thumbnail/2025/07/24/1cb0f6af-b00c-41c2-80fc-b7b940e81267.jpg",
            "large": null,
            "medium": null,
            "small": null
        }
    ],
    "discount": {
        "is_applied": false,
        "is_trial_applied": true,
        "is_usage_price": false,
        "price_after_discount_no_trial": 144.0,
        "price_after_discount": 0.0
    },
    "stock": {
        "in_stock": false,
        "qty": 0
    },
    "modifiers": [
        {
            "id": 4,
            "ordering": 0,
            "name_en": "quality",
            "name_ar": "quality",
            "values": [
                {
                    "id": 9,
                    "ordering": 0,
                    "name_en": "new",
                    "name_ar": "new"
                },
                {
                    "id": 8,
                    "ordering": 0,
                    "name_en": "not new",
                    "name_ar": "not new"
                }
            ]
        },
        {
            "id": 3,
            "ordering": 0,
            "name_en": "mod",
            "name_ar": "mod",
            "values": [
                {
                    "id": 5,
                    "ordering": 0,
                    "name_en": "one",
                    "name_ar": "one"
                },
                {
                    "id": 6,
                    "ordering": 0,
                    "name_en": "two",
                    "name_ar": "two"
                },
                {
                    "id": 7,
                    "ordering": 0,
                    "name_en": "three",
                    "name_ar": "three"
                }
            ]
        }
    ],
    "variants": [
        {
            "id": 130,
            "custom_fields": null,
            "images": [],
            "discount": {
                "is_applied": false,
                "is_trial_applied": false,
                "is_usage_price": false,
                "price_after_discount_no_trial": 20.0,
                "price_after_discount": 20.0
            },
            "stock": {
                "in_stock": true,
                "qty": 100
            },
            "plan_config": null,
            "off_days": [],
            "off_dates": [],
            "variant_title_en": "new / one",
            "variant_title_ar": "new / one",
            "modifier_values": [
                9,
                5
            ],
            "app_id": 86,
            "ordering": 0,
            "type": "product",
            "service_type": "delivery",
            "sku": "1753610848714",
            "price": 20.0,
            "is_taxable": true,
            "name_en": "Variant",
            "name_ar": "Variant",
            "description_en": "",
            "description_ar": "",
            "is_plan_only": false,
            "is_plan_enabled": false,
            "served_from_date": null,
            "served_to_date": null,
            "served_from_time": null,
            "served_to_time": null,
            "weight": 0.0
        },
        {
            "id": 122,
            "custom_fields": {
                "test": "test_vaaar_1"
            },
            "images": [],
            "discount": {
                "is_applied": false,
                "is_trial_applied": false,
                "is_usage_price": false,
                "price_after_discount_no_trial": 11.0,
                "price_after_discount": 11.0
            },
            "stock": {
                "in_stock": true,
                "qty": 100
            },
            "plan_config": null,
            "off_days": [],
            "off_dates": [],
            "variant_title_en": "one",
            "variant_title_ar": "one",
            "modifier_values": [
                5
            ],
            "app_id": 86,
            "ordering": 0,
            "type": "product",
            "service_type": "delivery_or_pickup",
            "sku": "1750236379191",
            "price": 11.0,
            "is_taxable": true,
            "name_en": "Variant",
            "name_ar": "Variant",
            "description_en": "",
            "description_ar": "",
            "is_plan_only": false,
            "is_plan_enabled": false,
            "served_from_date": null,
            "served_to_date": null,
            "served_from_time": null,
            "served_to_time": null,
            "weight": 0.0
        },
        {
            "id": 129,
            "custom_fields": null,
            "images": [],
            "discount": {
                "is_applied": false,
                "is_trial_applied": false,
                "is_usage_price": false,
                "price_after_discount_no_trial": 20.0,
                "price_after_discount": 20.0
            },
            "stock": {
                "in_stock": true,
                "qty": 100
            },
            "plan_config": null,
            "off_days": [],
            "off_dates": [],
            "variant_title_en": "three",
            "variant_title_ar": "three",
            "modifier_values": [
                8,
                7
            ],
            "app_id": 86,
            "ordering": 0,
            "type": "product",
            "service_type": "delivery",
            "sku": "1753605320577",
            "price": 20.0,
            "is_taxable": true,
            "name_en": "Variant",
            "name_ar": "Variant",
            "description_en": "",
            "description_ar": "",
            "is_plan_only": false,
            "is_plan_enabled": false,
            "served_from_date": null,
            "served_to_date": null,
            "served_from_time": null,
            "served_to_time": null,
            "weight": 0.0
        }
    ],
    "varies_on": "modifiers",
    "bundle_categories": [],
    "plan_config": {
        "custom_fields": null,
        "setup_fees": 50.0,
        "pricing_model": "fixed",
        "duration_unit": "month",
        "duration": 1,
        "total_billing_cycles": 1,
        "renewal_policy": "mandatory",
        "trial_duration_unit": "day",
        "trial_duration": 14,
        "grace_period_unit": "day",
        "grace_period": 7,
        "usage_limit": null,
        "usage_unit": "credit",
        "auto_increment_usage": false
    },
    "off_days": [],
    "off_dates": [],
    "tags": [],
    "app_id": 86,
    "ordering": 0,
    "type": "service",
    "service_type": "digital",
    "sku": "qui sed aliquip Ut fugiat",
    "price": 144.0,
    "is_taxable": false,
    "name_en": "Daniel Hoeger",
    "name_ar": "Kristopher Grimes PhD",
    "description_en": "nulla do",
    "description_ar": null,
    "is_plan_only": true,
    "is_plan_enabled": true,
    "served_from_date": null,
    "served_to_date": null,
    "served_from_time": null,
    "served_to_time": null,
    "weight": 0.0,
    "categories": []
}
Modified at 2026-04-10 09:27:25
Previous
List Items
Next
List Item Categories
Built with